/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================
   
   //Edge symbol: 'animacion_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4110, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6135, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_audio_02}", "click", function(sym, e) {
         sym.getSymbol("tiempo_audio02").play();
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_audio_03}", "click", function(sym, e) {
         sym.getSymbol("tiempo_audio03").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_audio_01}", "click", function(sym, e) {
         sym.getSymbol("tiempo_audio01").play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9882, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_audio_04}", "click", function(sym, e) {
         sym.getSymbol("tiempo_audio04").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_audio_05}", "click", function(sym, e) {
         sym.getSymbol("tiempo_audio05").play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 11500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 12307, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("animacion_1");
   //Edge symbol end:'animacion_1'

   //=========================================================
   
   //Edge symbol: 'nubes_grandes'
   (function(symbolName) {   
   
   })("nubes_grandes");
   //Edge symbol end:'nubes_grandes'

   //=========================================================
   
   //Edge symbol: 'nubes_pequenas'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 43955, function(sym, e) {
         sym.play("nubes_01");

      });
      //Edge binding end

   })("nubes_pequenas");
   //Edge symbol end:'nubes_pequenas'

   //=========================================================
   
   //Edge symbol: 'nina'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 14000, function(sym, e) {
         sym.play("cabeza_nina");

      });
      //Edge binding end

   })("nina");
   //Edge symbol end:'nina'

   //=========================================================
   
   //Edge symbol: 'body_nina'
   (function(symbolName) {   
   
   })("body_nina");
   //Edge symbol end:'body_nina'

   //=========================================================
   
   //Edge symbol: 'cabeza_nina'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("cabeza_nina");
   //Edge symbol end:'cabeza_nina'

   //=========================================================
   
   //Edge symbol: 'ceja_nina'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 33000, function(sym, e) {
         sym.play("ceja_nina");

      });
      //Edge binding end

   })("ceja_nina");
   //Edge symbol end:'ceja_nina'

   //=========================================================
   
   //Edge symbol: 'ojo_nina'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4380, function(sym, e) {
         sym.play("ojo_nina");

      });
      //Edge binding end

   })("ojo_nina");
   //Edge symbol end:'ojo_nina'

   //=========================================================
   
   //Edge symbol: 'boca_nina'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         sym.play("boca_nina_animada");

      });
      //Edge binding end

   })("boca_nina");
   //Edge symbol end:'boca_nina'

   //=========================================================
   
   //Edge symbol: 'brazo_nina'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 19548, function(sym, e) {
         sym.play("brazo_1");

      });
      //Edge binding end

   })("brazo_nina");
   //Edge symbol end:'brazo_nina'

   //=========================================================
   
   //Edge symbol: 'nino'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6430, function(sym, e) {
         sym.play("cabeza_nino");

      });
      //Edge binding end

   })("nino");
   //Edge symbol end:'nino'

   //=========================================================
   
   //Edge symbol: 'cabeza_nino'
   (function(symbolName) {   
   
   })("cabeza_nino");
   //Edge symbol end:'cabeza_nino'

   //=========================================================
   
   //Edge symbol: 'mano_nino'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 895, function(sym, e) {
         sym.play("mano_nino");

      });
      //Edge binding end

   })("mano_nino");
   //Edge symbol end:'mano_nino'

   //=========================================================
   
   //Edge symbol: 'cejas_nino'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9925, function(sym, e) {
         sym.play("cejas_nino");

      });
      //Edge binding end

   })("cejas_nino");
   //Edge symbol end:'cejas_nino'

   //=========================================================
   
   //Edge symbol: 'ojos_nino'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1250, function(sym, e) {
         sym.play("ojos_nino");

      });
      //Edge binding end

   })("ojos_nino");
   //Edge symbol end:'ojos_nino'

   //=========================================================
   
   //Edge symbol: 'boca_nino'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 750, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("boca_ninoR");
   //Edge symbol end:'boca_ninoR'

   //=========================================================
   
   //Edge symbol: 'boca_nino_animada'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1250, function(sym, e) {
         sym.play("boca_nino");

      });
      //Edge binding end

   })("boca_nino_animada");
   //Edge symbol end:'boca_nino_animada'

   //=========================================================
   
   //Edge symbol: 'pie1_nino'
   (function(symbolName) {   
   
   })("pie1_nino");
   //Edge symbol end:'pie1_nino'

   //=========================================================
   
   //Edge symbol: 'pie2_nino'
   (function(symbolName) {   
   
   })("pie2_nino");
   //Edge symbol end:'pie2_nino'

   //=========================================================
   
   //Edge symbol: 'bt_audio_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nino_A").getSymbol("cabeza_nino_A").stop("boca_01");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].play();
         	sym.stop("down");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nino_A").getSymbol("cabeza_nino_A").play("boca_02");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].pause();
         	sym.stop("up");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nino_A").getSymbol("cabeza_nino_A").stop("boca_01");
         }

      });
         //Edge binding end

      })("bt_audio_02");
   //Edge symbol end:'bt_audio_02'

   //=========================================================
   
   //Edge symbol: 'bt_audio_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
            //Edge binding end

         })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'tiempo_audio01'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2250, function(sym, e) {
         sym.getComposition().getStage().getSymbol("animacion_1").play("parte_2");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("tiempo_audio01");
   //Edge symbol end:'tiempo_audio01'

   //=========================================================
   
   //Edge symbol: 'bt_audio_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("marciano").getSymbol("cuerpo_marciano").stop("boca1");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].play();
         	sym.stop("down");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("nino").getSymbol("cabeza_nino").getSymbol("boca_nino").play("boca_02");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].pause();
         	sym.stop("up");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("nino").getSymbol("cabeza_nino").getSymbol("boca_nino").stop("boca_01");
         }

      });
            //Edge binding end

         })("bt_audio_1");
   //Edge symbol end:'bt_audio_1'

   //=========================================================
   
   //Edge symbol: 'tiempo_audio01_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.getComposition().getStage().getSymbol("animacion_1").play("parte_3");

      });
      //Edge binding end

   })("tiempo_audio02");
   //Edge symbol end:'tiempo_audio02'

   //=========================================================
   
   //Edge symbol: 'bt_audio_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nina_B").getSymbol("cabeza_nina_B").stop("boca_01");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].play();
         	sym.stop("down");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nina_B").getSymbol("cabeza_nina_B").play("boca_02");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].pause();
         	sym.stop("up");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nina_B").getSymbol("cabeza_nina_B").stop("boca_01");
         }
         

      });
            //Edge binding end

         })("bt_audio_03");
   //Edge symbol end:'bt_audio_03'

   //=========================================================
   
   //Edge symbol: 'tiempo_audio02_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2135, function(sym, e) {
         sym.getComposition().getStage().getSymbol("animacion_1").play("parte_4");

      });
      //Edge binding end

   })("tiempo_audio03");
   //Edge symbol end:'tiempo_audio03'

   //=========================================================
   
   //Edge symbol: 'animacion_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4110, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6135, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8500, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_audio_01}", "click", function(sym, e) {
         sym.getSymbol("tiempo_audio01").play();
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_audio_02}", "click", function(sym, e) {
         sym.getSymbol("tiempo_audio02").play();
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_audio_03}", "click", function(sym, e) {
         sym.getSymbol("tiempo_audio03").play();

      });
         //Edge binding end

      })("animacion_2");
   //Edge symbol end:'animacion_2'

   //=========================================================
   
   //Edge symbol: 'profesor'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9360, function(sym, e) {
         sym.play("cabeza_profesor");

      });
      //Edge binding end

   })("profesor");
   //Edge symbol end:'profesor'

   //=========================================================
   
   //Edge symbol: 'body_profesor'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 21405, function(sym, e) {
         sym.play("profesor");

      });
      //Edge binding end

   })("body_profesor");
   //Edge symbol end:'body_profesor'

   //=========================================================
   
   //Edge symbol: 'cabeza_profesor'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 750, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("cabeza_profesor");
   //Edge symbol end:'cabeza_profesor'

   //=========================================================
   
   //Edge symbol: 'ojos_profesor'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1185, function(sym, e) {
         sym.play("ojos_profesor");

      });
      //Edge binding end

   })("ojos_profesor");
   //Edge symbol end:'ojos_profesor'

   //=========================================================
   
   //Edge symbol: 'boca_profesor'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1565, function(sym, e) {
         sym.play("boca_profesor");

      });
      //Edge binding end

   })("boca_profesor");
   //Edge symbol end:'boca_profesor'

   //=========================================================
   
   //Edge symbol: 'juego'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8250, function(sym, e) {
         sym.play("juego");

      });
      //Edge binding end

   })("juego");
   //Edge symbol end:'juego'

   //=========================================================
   
   //Edge symbol: 'nino_A'
   (function(symbolName) {   
   
   })("nino_A");
   //Edge symbol end:'nino_A'

   //=========================================================
   
   //Edge symbol: 'boca_profesor_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1565, function(sym, e) {
         sym.play("boca_profesor");

      });
         //Edge binding end

      })("boca_nino_A");
   //Edge symbol end:'boca_nino_A'

   //=========================================================
   
   //Edge symbol: 'cabeza_nino_A'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 750, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("cabeza_nino_A");
   //Edge symbol end:'cabeza_nino_A'

   //=========================================================
   
   //Edge symbol: 'nina_B'
   (function(symbolName) {   
   
   })("nina_B");
   //Edge symbol end:'nina_B'

   //=========================================================
   
   //Edge symbol: 'cabeza_nina_B'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 660, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("cabeza_nina_B");
   //Edge symbol end:'cabeza_nina_B'

   //=========================================================
   
   //Edge symbol: 'ojos_nina'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1750, function(sym, e) {
         sym.play("ojos_nina");

      });
      //Edge binding end

   })("ojos_nina");
   //Edge symbol end:'ojos_nina'

   //=========================================================
   
   //Edge symbol: 'boca_profesor_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("boca_profesor_stop");
   //Edge symbol end:'boca_profesor_stop'

   //=========================================================
   
   //Edge symbol: 'nino_R1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 705, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("nino_R1");
   //Edge symbol end:'nino_R1'

   //=========================================================
   
   //Edge symbol: 'cabeza_nino_R1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         sym.play("ojos");

      });
      //Edge binding end

   })("cabeza_nino_R1");
   //Edge symbol end:'cabeza_nino_R1'

   //=========================================================
   
   //Edge symbol: 'nina_R2'
   (function(symbolName) {   
   
   })("nina_R2");
   //Edge symbol end:'nina_R2'

   //=========================================================
   
   //Edge symbol: 'cabeza_ninaR2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 650, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("cabeza_ninaR2");
   //Edge symbol end:'cabeza_ninaR2'

   //=========================================================
   
   //Edge symbol: 'ojos_ninaR2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2870, function(sym, e) {
         sym.play("ojos_nina_R2");

      });
      //Edge binding end

   })("ojos_ninaR2");
   //Edge symbol end:'ojos_ninaR2'

   //=========================================================
   
   //Edge symbol: 'boca_nina_1'
   (function(symbolName) {   
   
      })("boca_nina_stop");
   //Edge symbol end:'boca_nina_stop'

   //=========================================================
   
   //Edge symbol: 'bt_audio_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("profesor").getSymbol("cabeza_profesor").stop("boca_01");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].play();
         	sym.stop("down");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("profesor").getSymbol("cabeza_profesor").play("boca_02");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].pause();
         	sym.stop("up");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("profesor").getSymbol("cabeza_profesor").stop("boca_01");
         }

      });
            //Edge binding end

         })("bt_audio_01");
   //Edge symbol end:'bt_audio_01'

   //=========================================================
   
   //Edge symbol: 'tiempo_audio03_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2135, function(sym, e) {
         sym.getComposition().getStage().getSymbol("animacion_1").play("parte_5");

      });
         //Edge binding end

      })("tiempo_audio04");
   //Edge symbol end:'tiempo_audio04'

   //=========================================================
   
   //Edge symbol: 'bt_audio_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
               //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
               //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nino_R1").stop("boca_01");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].play();
         	sym.stop("down");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nino_R1").play("boca_02");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].pause();
         	sym.stop("up");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nino_R1").stop("boca_01");
         }
         

      });
               //Edge binding end

            })("bt_audio_04");
   //Edge symbol end:'bt_audio_04'

   //=========================================================
   
   //Edge symbol: 'bt_audio_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
                  //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
                  //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("animacion_1").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nina_R2").getSymbol("cabeza_ninaR2").stop("boca_01");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].play();
         	sym.stop("down");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nina_R2").getSymbol("cabeza_ninaR2").play("boca_02");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("animacion_1").$(soundId)[0].pause();
         	sym.stop("up");
         	sym.getComposition().getStage().getSymbol("animacion_1").getSymbol("juego").getSymbol("nina_R2").getSymbol("cabeza_ninaR2").stop("boca_01");
         }
         

      });
                  //Edge binding end

               })("bt_audio_05");
   //Edge symbol end:'bt_audio_05'

   //=========================================================
   
   //Edge symbol: 'tiempo_audio04_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2135, function(sym, e) {
         sym.getComposition().getStage().getSymbol("animacion_1").play("final");

      });
            //Edge binding end

         })("tiempo_audio05");
   //Edge symbol end:'tiempo_audio05'

})(jQuery, AdobeEdge, "EDGE-94063035");